AvalaraAvalaraDeveloperDeveloper
  • Productsdown arrow
      Calculations
      AvaTax
      AvaTax Brazil
      AvaTax for Communications
      AvaTax for Excise
      Avalara Tax Content
      E-invoicing
      Activation Service
      Avalara E-Invoicing and Live Reporting
      Brazil
      Brazil Customer Portal
      Tax Compliance (Brazil)
      Tax Central
      Data Staging
      Returns
      Avalara Managed Returns API
      MyLodgeTax
      Avalara Returns Excise
      VAT Reporting
      Shared service
      Shared Services
      1099 & W-9
      Avalara 1099 & W-9
      Tax registrations and business licenses
      Avalara License Guidance
      Sales Tax Registrations
      Payroll tax registrations
      Avalara license filings
      ECM
      Exemption Certificate Management
      Avalara Cross-Border
      Automated Tariff Code Classification
      Self-Serve Tariff Code Classification
      Managed and Premium Tariff Code Classification
      AvaTax Cross-Border (Estimator + Calculator)
      Avalara Trade Compliance
      Avalara Trade and Tariff Library
  • Learndown arrow
      Integrations guides
      Refactor guides
      Get certified
  • Get starteddown arrow
      AvaTax 90 days free trial
      Playground
      Become a partner
      Build with Avalara using AI
  • Developdown arrow
      APIs
      SDKs
      MCPs
      Agent to Agent (A2A)
      AI use cases
      API versioning
  • Resourcesdown arrow
      Avalara NEXT recordings
      Avalara University
      Knowledge Center
  • Support
MENU
Search Icon

No results found for

Profile
  • Sign In
Sign In
Search Icon

No results found for

  • Productsdown arrow
      Calculations
      AvaTax
      AvaTax Brazil
      AvaTax for Communications
      AvaTax for Excise
      Avalara Tax Content
      E-invoicing
      Activation Service
      Avalara E-Invoicing and Live Reporting
      Brazil
      Brazil Customer Portal
      Tax Compliance (Brazil)
      Tax Central
      Data Staging
      Returns
      Avalara Managed Returns API
      MyLodgeTax
      Avalara Returns Excise
      VAT Reporting
      Shared service
      Shared Services
      1099 & W-9
      Avalara 1099 & W-9
      Tax registrations and business licenses
      Avalara License Guidance
      Sales Tax Registrations
      Payroll tax registrations
      Avalara license filings
      ECM
      Exemption Certificate Management
      Avalara Cross-Border
      Automated Tariff Code Classification
      Self-Serve Tariff Code Classification
      Managed and Premium Tariff Code Classification
      AvaTax Cross-Border (Estimator + Calculator)
      Avalara Trade Compliance
      Avalara Trade and Tariff Library
  • Learndown arrow
      Integrations guides
      Refactor guides
      Get certified
  • Get starteddown arrow
      AvaTax 90 days free trial
      Playground
      Become a partner
      Build with Avalara using AI
  • Developdown arrow
      APIs
      SDKs
      MCPs
      Agent to Agent (A2A)
      AI use cases
      API versioning
  • Resourcesdown arrow
      Avalara NEXT recordings
      Avalara University
      Knowledge Center
  • Support
Profile
  • Sign In
Sign In
Sales (877) 282-5585
Search Icon
Models
Top 10 EndPoints

HSCode classification service

Access to the Production API

API access requires a bearer token, which can be obtained using your Avatax account ID and license key.

To acquire a bearer token:

  1. Create a License Key if not already created.
  2. Call Avalara Identity to get an access token (choose based on your endpoint URL):
hscode.api.avalara.com — scope: hs-code-classification
curl -X POST https://identity.avalara.com/connect/token \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "grant_type=client_credentials&client_id=<avatax_account_id>&client_secret=<license key>&scope=hs-code-classification"

Sample response:

{
   "access_token": "<jwt_access_token>",
   "expires_in": 3600,
   "token_type": "Bearer",
   "scope": "hs-code-classification"
}
hscode.avatax.avalara.com (legacy) — scope: avatax_api
curl -X POST https://identity.avalara.com/connect/token \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "grant_type=client_credentials&client_id=<avatax_account_id>&client_secret=<license key>&scope=avatax_api"

Sample response:

{
   "access_token": "<jwt_access_token>",
   "expires_in": 3600,
   "token_type": "Bearer",
   "scope": "avatax_api"
}
  1. The access_token can be used to interact with the API.
  2. The access_token is valid for 1 hour, after which you will need to request a fresh token.

Access to the Sandbox API

API access requires a bearer token, which can be obtained using your Avatax account ID and license key.

To acquire a bearer token:

  1. Create a License Key if not already created.
  2. Call Avalara Identity to get an access token (choose based on your endpoint URL):
hscode.api.sbx.avalara.com — scope: hs-code-classification
curl -X POST https://ai-sbx.avlr.sh/connect/token \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "grant_type=client_credentials&client_id=<avatax_account_id>&client_secret=<license key>&scope=hs-code-classification"

Sample response:

{
   "access_token": "<jwt_access_token>",
   "expires_in": 3600,
   "token_type": "Bearer",
   "scope": "hs-code-classification"
}
hscode.avatax.sbx.avalara.com (legacy) — scope: avatax_api
curl -X POST https://ai-sbx.avlr.sh/connect/token \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "grant_type=client_credentials&client_id=<avatax_account_id>&client_secret=<license key>&scope=avatax_api"

Sample response:

{
   "access_token": "<jwt_access_token>",
   "expires_in": 3600,
   "token_type": "Bearer",
   "scope": "avatax_api"
}
  1. The access_token can be used to interact with the API.
  2. The access_token is valid for 1 hour, after which you will need to request a fresh token.

Note: The sandbox API is only available for a fixed number of classification requests.

Check top 10 endpoints
public

card-img
card-img
Open Console
Knowledge CenterDeveloper Support
Avalara.com|Terms of Use|Privacy Policy
© 2026 Avalara, Inc.